import 'package:ocg_user/ocg_user.dart';

abstract class UserContactState {}

class UserContactLoadingState extends UserContactState {}

class UserContactSyncedState extends UserContactState {
  UserContactSyncedState();
}

class UserContactLoadedState extends UserContactState {
  final List<ContactRequest> contacts;

  UserContactLoadedState(this.contacts);
}

class UserContactErrorState extends UserContactState {
  final String error;

  UserContactErrorState(this.error);
}
